<?php
namespace Modules\Utilisateur\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class Index
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function menuIntermediaireSuivi(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function menuIntermediaireLadFacture(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function menuIntermediaireListeFacture(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function menuIntermediaireEditionFacture(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function menuIntermediaireExportMasseFacture(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function menuIntermediaireFav(): bool
    {
        return true;
    }
}
